- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MRenderLineArray Class Reference

# OpenMayaFX - API module for effects

Search for all occurrences

## Detailed Description

Class for accessing paint effects output curve data.

A MRenderLineArray provides access to paint effects curve rendering info. This class contains arrays for per vertex attributes along an individual curve: line: the vertices in worldspace twist: a twist vector at each vertex width: the tube widths flatness: the tube flatness along the twist vector direction parameter: the u parameterization value for each vertex color: color rgb value for each vertex incandescence: incandescence rgb value for each vertex transpareancy: transparency rgb value for each vertex

Examples:

  pfxInfoCmd.cpp.

`#include <MRenderLineArray.h>`

List of all members.

## Public Member Functions
| MRenderLineArray ()
| The class constructor.
| ~MRenderLineArray ()
| The class destructor.
MRenderLineArray & | operator= (const MRenderLineArray &other)
| Assignment operator.
void | deleteArray ()
| Free up the memory held in the render line array.
int | length () const
| Return the number of entries in the array.
MRenderLine | renderLine (unsigned int index, MStatus *status) const
| Return the render line at the defined index.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MRenderLineArray & operator= | ( | const MRenderLineArray & | other | ) |

Assignment operator.

This simply copies the internal data pointer. Any arrays access from the copy will thus point to the same data.

Parameters:

  [in] | other | the MRenderLineArray to be copied

Returns:
  A reference to the copied MRenderLineArray

void deleteArray | ( |  | ) |

Search for all occurrences

Free up the memory held in the render line array.

This should be called once only and only on one copy of the MRenderLineArray. (Assignment copies internal pointer data rather than the data its self)

Examples:
  pfxInfoCmd.cpp.

int length | ( |  | ) | const

Search for all occurrences

Return the number of entries in the array.

Returns:
  Array length

Examples:
  pfxInfoCmd.cpp.

MRenderLine renderLine | ( | unsigned int | index,
|  | MStatus * | status
| ) |  | const

Search for all occurrences

Return the render line at the defined index.

Parameters:

  [in] | index | index of the render line to return
  [out] | status | Status code

Returns:
  The render line

Status Codes:
  - MS::kSuccess Success.
  - MS::kFailure No render line was found at the specified index.

Examples:
  pfxInfoCmd.cpp.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray
MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray MRenderLineArray